document.addEventListener('DOMContentLoaded', function() {
  const cards = document.querySelectorAll('.card');
  const confirmationSection = document.querySelector('.confirmation');
  const selectedLocation = document.getElementById('selected-location');
  const chooseButtons = document.querySelectorAll('.choose-btn');
  const confirmBtn = document.querySelector('.confirm-btn');
  const backBtn = document.querySelector('.back-btn');

  chooseButtons.forEach(button => {
    button.addEventListener('click', function() {
      const card = this.closest('.card');
      const location = card.querySelector('h2').textContent;
      selectedLocation.textContent = location;
      document.querySelector('.protest-options').classList.add('hidden');
      confirmationSection.classList.remove('hidden');
    });
  });

  backBtn.addEventListener('click', function() {
    confirmationSection.classList.add('hidden');
    document.querySelector('.protest-options').classList.remove('hidden');
  });

  confirmBtn.addEventListener('click', function() {
    alert('Your choice has been recorded. Stay safe and peaceful.');
  });
});